Subject: Re: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: martin rudalics <[email-masked]>
Date: Mon, 18 Oct 2021 19:43:45 +0200

> Thanks.  Some comments/questions:
 >
 >> +@item Tab Bar
 >> +@cindex internal tab bar
 >
 > Why "internal"? copy/pasta?

Intentional but silly.  Fixed.

 > You use the term "minibuffer window", which I think is sub-optimal:
 > that window is also used for displaying the echo-area.  I prefer the
 > term "mini-window" instead.

That ship has sailed somehow.  We have an entire section called
"Minibuffer Windows".

 >> +Note that the window returned by @code{minibuffer-window} called with
 >> +the argument @var{frame} is returned by @code{window-list} called with
 >> +the same argument if and only if that window actually belongs to
 >> +@var{frame}.
 >
 > This is a mouthful (is it really important to say this here?).  Please
 > rephrase, in particular with fewer instances of the passive tense.
 > (The next sentence after that is also unnecessarily passive and hard
 > to read.)

I removed that paragraph.  Honestly, it would have taken me too much
time to understand it myself.

 > I made a few minor editing changes in the text you installed.

Thanks.  This one

-  A @dfn{window} describes a portion of the screen that Emacs uses to
+  A @dfn{window} describes the portion of the screen that Emacs uses to

is not really correct because with multiple windows we have several such
portions but maybe it's more intuitive for the reader.

Thanks, martin